> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nestapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check when your API key expires

> Returns the expiry date of the calling API key. A key that does not expire returns `31/12/9999`.



## OpenAPI

````yaml /openapi.json get /v1/apiKey/validUntil
openapi: 3.0.0
info:
  title: NestAPI
  version: '1.0'
servers:
  - url: https://api.nestapi.com
    description: Production
security: []
tags:
  - name: account
    description: API key and account management
  - name: admin
  - name: ApiAdmin
  - name: auth
  - name: billing
  - name: fairness
    description: >-
      Per-customer nesting-minutes fairness config, weights and usage (requires
      an Admin API key)
  - name: importer
  - name: nesting
    description: Submit nesting jobs, retrieve results and exports
  - name: plan
  - name: proxy
  - name: public
    description: Health check and public utility endpoints
  - name: subscriptionstatus
paths:
  /v1/apiKey/validUntil:
    parameters:
      - $ref: '#/components/parameters/Accept'
    get:
      tags:
        - account
      summary: Check when your API key expires
      description: >-
        Returns the expiry date of the calling API key. A key that does not
        expire returns `31/12/9999`.
      operationId: GetApiValidUntil
      responses:
        '200':
          description: The key's expiry date.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiKeyValidUntil'
        '401':
          description: API key is missing or invalid.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiKeyValidUntil'
      deprecated: false
      security:
        - Bearer: []
components:
  parameters:
    Accept:
      name: Accept
      in: header
      description: Accept Header
      required: true
      schema:
        type: string
        enum:
          - application/json
  schemas:
    ApiKeyValidUntil:
      title: ApiKeyValidUntil
      properties:
        Expires:
          type: string
          format: date-time
          nullable: false
      description: ApiKeyValidUntil
      type: object
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````